Package com.xebialabs.xlrelease.domain.versioning.ascode.validation

# Class ValidationReportMessage

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.validation.ValidationReportMessage

Direct Known Subclasses:
  `ExternalDependencyReportMessage`

public class ValidationReportMessage extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationReportMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCiType()`
  `String`
  `getCiTypeDisplayName()`
  `String`
  `getFolder()`
  `String`
  `getFolderId()`
  `String`
  `getId()`
  `String`
  `getMessage()`
  `Integer`
  `getMessageId()`
  `String`
  `getMessageType()`
  `String`
  `getProperty()`
  `Boolean`
  `getResolvedStatus()`
  `String`
  `getTitle()`
  `void`
  `setCiType(String ciType)`
  `void`
  `setCiTypeDisplayName(String ciTypeDisplayName)`
  `void`
  `setFolder(String folder)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setId(String id)`
  `void`
  `setMessage(String message)`
  `void`
  `setMessageId(Integer messageId)`
  `void`
  `setMessageType(String messageType)`
  `void`
  `setProperty(String property)`
  `void`
  `setResolvedStatus(Boolean resolvedStatus)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationReportMessage

    public ValidationReportMessage()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getCiType

    public String getCiType()

  - ### setCiType

    public void setCiType(String ciType)

  - ### getCiTypeDisplayName

    public String getCiTypeDisplayName()

  - ### setCiTypeDisplayName

    public void setCiTypeDisplayName(String ciTypeDisplayName)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getFolder

    public String getFolder()

  - ### setFolder

    public void setFolder(String folder)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getProperty

    public String getProperty()

  - ### setProperty

    public void setProperty(String property)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getMessageType

    public String getMessageType()

  - ### setMessageType

    public void setMessageType(String messageType)

  - ### getMessageId

    public Integer getMessageId()

  - ### setMessageId

    public void setMessageId(Integer messageId)

  - ### getResolvedStatus

    public Boolean getResolvedStatus()

  - ### setResolvedStatus

    public void setResolvedStatus(Boolean resolvedStatus)